Ticket #41344

ダメージ修正のある武器以外の装備が表記上反映されない (フォーラムメッセージ #86825 からの引用)

Open Date: 2021-01-26 20:08 Last Update: 2021-02-05 17:10

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

フォーラム 変愚蛮怒3.0.0Alpha開発フォーラム [#86825] からの引用

[forum: 86825]

ウルクなどダメージ修正のある鎧を装備しても、盾を装備した状態だとCで確認できるTDの数値が変化しないようです。

盾を外した状態であれば鎧装備時のTDの変化がきちんと行われます。
追記:アミュレット等のダメージ修正も加算されないようです

表記上の問題なのか、実際の値も問題を起こしているのかがまだ不明
調査・修正する

>deskullさん
ひとまずplayer-status周りと想定しますのでチケット回します、ご確認下さい

Ticket History (3/5 Histories)

2021-01-26 20:08 Updated by: hourier
  • New Ticket "(フォーラムメッセージ #86825 からの引用)" created
2021-01-26 20:13 Updated by: hourier
  • Summary Updated
2021-01-27 22:59 Updated by: deskull
Comment

#41264 と根っこが同じなのでまとめて直す。

(Edited, 2021-01-27 22:59 Updated by: deskull)
2021-02-05 17:10 Updated by: dis-
  • Status Update from Open to Closed
  • Owner Update from deskull to dis-
  • Resolution Update from None to Fixed
Comment

#41264 の修正時にこちらも解決しています。

https://osdn.net/projects/hengband/scm/git/hengband/commits/e5f17cc608943bdd8594463c5c45465f630f3ff0

修正を確認したのでクローズしておきます。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login